# Uses of Class
org.a11y.brlapi.SyntaxException

Packages that use SyntaxException
Package
Description
org.a11y.brlapi
org.a11y.brlapi.clients
org.a11y.brlapi.commands
org.a11y.brlapi.parameters

## Uses of SyntaxException in org.a11y.brlapi

Subclasses of SyntaxException in org.a11y.brlapi
Modifier and Type
Class
Description
`class`
`TooManyParametersException`
Methods in org.a11y.brlapi that throw SyntaxException
Modifier and Type
Method
Description
`static Boolean`
Parse.`asBoolean(String description, String operand)`
`static byte`
Parse.`asByte(String description, String operand)`
`static byte`
Parse.`asByte(String description, String operand, byte minimum)`
`static byte`
Parse.`asByte(String description, String operand, byte minimum, byte maximum)`
`static int`
Parse.`asCursorPosition(String operand)`
`static int`
Parse.`asDisplayNumber(String operand)`
`static byte`
Parse.`asDots(String description, String operand)`
`static int`
Parse.`asInt(String description, String operand)`
`static int`
Parse.`asInt(String description, String operand, int minimum)`
`static int`
Parse.`asInt(String description, String operand, int minimum, int maximum)`
`static long`
Parse.`asLong(String description, String operand)`
`static long`
Parse.`asLong(String description, String operand, long minimum)`
`static long`
Parse.`asLong(String description, String operand, long minimum, long maximum)`
`static short`
Parse.`asShort(String description, String operand)`
`static short`
Parse.`asShort(String description, String operand, short minimum)`
`static short`
Parse.`asShort(String description, String operand, short minimum, short maximum)`
`static void`
Parse.`checkMaximum(String description, long value, long maximum)`
`static void`
Parse.`checkMinimum(String description, long value, long minimum)`
`static void`
Parse.`checkRange(String description, long value, long minimum, long maximum)`
`void`
Program.Option.Handler.`handleOption(String[] operands)`
`protected void`
Program.`processParameters(String[] parameters)`
`void`
Parameter.StringSettable.`set(long subparam, String value)`
`final Client`
Client.`setAuthenticationScheme(String scheme)`
`final Client`
Client.`setServerHost(String host)`

## Uses of SyntaxException in org.a11y.brlapi.clients

Methods in org.a11y.brlapi.clients that throw SyntaxException
Modifier and Type
Method
Description
`protected void`
EchoClient.`processParameters(String[] parameters)`
`protected void`
ListParametersClient.`processParameters(String[] parameters)`
`protected void`
SetParameterClient.`processParameters(String[] parameters)`
`protected final void`
WriteDotsClient.`processParameters(String[] parameters)`

## Uses of SyntaxException in org.a11y.brlapi.commands

Methods in org.a11y.brlapi.commands that throw SyntaxException
Modifier and Type
Method
Description
`protected final void`
ApiToolCommand.`processParameters(String[] parameters)`

## Uses of SyntaxException in org.a11y.brlapi.parameters

Methods in org.a11y.brlapi.parameters that throw SyntaxException
Modifier and Type
Method
Description
`final void`
CursorDotsParameter.`set(long subparam, String numbers)`